local BetterTab = CreateFrame("Frame")

local function OnAddonLoaded(self, event, ...)
    print("[BetterTab] - Successfully Loaded")
end

local function OnPlayerLoad(self, event, ...)
    local _, instance = IsInInstance()

    if (instance == "arena") or (instance == "pvp") then
        SetBinding("TAB","TARGETNEARESTENEMYPLAYER",1)
    else
        SetBinding("TAB","TARGETNEARESTENEMY",1)
    end
end

BetterTab:SetScript("OnEvent", function(self, event, ...)
    if event == "ADDON_LOADED" and ... == "BetterTab" then
        OnAddonLoaded()
    elseif event == "PLAYER_ENTERING_WORLD" then
        OnPlayerLoad()
    end
end)

BetterTab:RegisterEvent("ADDON_LOADED")
BetterTab:RegisterEvent("PLAYER_ENTERING_WORLD")